pub mod dhcp_leases;
pub mod tester;
pub mod wifi_availability;

use crate::monitor::*;
use std::collections::HashMap;

pub fn factory(name: &str, config: &HashMap<String, serde_yaml::Value>) -> Box<Monitor + Send> {
    match name {
        "tester" => Box::new(tester::Tester::new(&config)),
        "wifi_availability" => Box::new(wifi_availability::WifiAvailability::new(&config)),
        "dhcp_leases" => Box::new(dhcp_leases::DHCPLeases::new(&config)),
        _ => panic!("Unknown monitor name: {}", name),
    }
}
