pub use crate::message::Message;
pub use crate::monitor::*;

#[derive(Debug)]
pub struct Tester {
    cnt: i64,
}

impl Monitor for Tester {
    fn new(config: &HashMap<String, serde_yaml::Value>) -> Self {
        Tester { cnt: 0 }
    }
    fn run(&mut self, sender: &mpsc::Sender<Message>) {
        println!("-- Sending message {}", self.cnt);
        sender
            .send(Message {
                emitter: "tester".to_string(),
                level: 10,
                msg_type: "string".to_string(),
                text: format!("This is message number {}", self.cnt),
            })
            .unwrap();

        self.cnt += 1;
        std::thread::sleep(std::time::Duration::from_millis(2000));
    }
}
