use crate::message::Message;
pub use crate::output::*;

#[derive(Debug)]
pub struct Espeak {}

impl Output for Espeak {
    fn new(config: &HashMap<String, serde_yaml::Value>) -> Self {
        Espeak {}
    }
    fn process_message(&mut self, message: Message) {
        use std::process::{Command, Stdio};
        let res = Command::new("espeak")
            .arg(message.text)
            .stdout(Stdio::null())
            .status()
            .expect("failed to execute process");
    }
}
